Skip to main content
`Ctrl`+`K`

# petsc4py.PETSc.KSPDMActive

class petsc4py.PETSc.KSPDMActive

  Bases: `object`

  Argument to KSPSetDMActive().

  Attributes Summary

  `ALL` | Constant `ALL` of type `int`
  `INITIAL_GUESS` | Constant `INITIAL_GUESS` of type `int`
  `OPERATOR` | Constant `OPERATOR` of type `int`
  `RHS` | Constant `RHS` of type `int`

  Attributes Documentation

  ALL: int = ALL

    Constant `ALL` of type `int`

  INITIAL_GUESS: int = INITIAL_GUESS

    Constant `INITIAL_GUESS` of type `int`

  OPERATOR: int = OPERATOR

    Constant `OPERATOR` of type `int`

  RHS: int = RHS

    Constant `RHS` of type `int`

  __init__()
  classmethod __new__(*args, **kwargs)